Skip to main content
PATCH
Update Member Role

Authorizations

Authorization
string
header
required

A floo_ API key.

Headers

X-Floo-Org-Id
string<uuid>

Organization to act in; defaults to the one joined most recently.

Path Parameters

app_id
string<uuid>
required
membership_id
string<uuid>
required

Body

application/json

Change a tenant-app role without changing control-plane authority.

role
enum<string>
required

Authorization role inside a tenant app, never the floo control plane.

Available options:
member,
admin

Response

Successful Response

Operator-visible global user membership.

id
string<uuid>
required
app_id
string<uuid>
required
user_id
string<uuid>
required
email
string
required
name
string | null
required
role
enum<string>
required

Authorization role inside a tenant app, never the floo control plane.

Available options:
member,
admin
status
enum<string>
required

Monotonic authorization decision for a global user and app.

Available options:
active,
revoked
created_at
string<date-time>
required
updated_at
string<date-time>
required